# GOVERNANCE.md

This file documents Solidus' governance model. It is meant for all users, but particularly for:

- users who are considering Solidus and need more clarity on the people and companies behind it;
- new contributors who want to understand who's in charge of reviewing and merging their code;
- existing contributors who would like to apply for the Core Team.

## Project Director

At present, [Nebulab](https://www.nebulab.it) is the main code contributor and director of Solidus.
They provide technical guidance and coordinate community efforts and activities.

## Core Team

The Core Team is a group of individuals who are committed to maintaining the project from a
technical perspective for the long term. Their main goal is to continuously deliver value to the
community through their work and the work of all contributors.

Here are some of the tasks they are responsible for:

- implementing new features;
- identifying and fixing bugs;
- triaging issues;
- reviewing and merging pull requests;
- providing support via Slack and other channels;
- improving the documentation;
- providing technical feedback and guidance to contributors;
- coordinating the work of contributors;
- maintaining the code, documentation and tools.

We understand that not all members will be able to dedicate the same amount of time to Solidus: this
is absolutely okay, since Solidus is an open source project and most of the work is done on a
volunteer basis. With that said, a minimum time investment is expected out of Core Team members.

### Joining the Core Team

New Core Team members are appointed by the Core Team.

To apply for the Core Team, you must be proposed by an existing member.

If you don't know anyone, simply send a Slack DM to Jacob Herrington (@Jacob Herrington), explaining
why you think you should be in the Core Team and what kind of contribution you expect to bring.

### Leaving the Core Team

To leave the Core Team, simply communicate your decision to the other Core Team members via Slack,
email or call.

## Donors

Like many open source projects, Solidus lives thanks to the donations of our amazing community.

In order to be completely transparent towards the community, we chose Open Collective as our
platform for collecting and spending donations. This helps us keep the project running while at the
same time keeping you informed on the latest developments and how your money is being spent.

If you're an agency, being a donor also entitles you to becoming a Solidus partner. If you're
interested, head over to the [Partners](https://solidus.io/partners/) page on our website to learn
more about partners.

### Making a donation

Making a recurring donation is very simple, simply visit
[our Open Collective profile](https://opencollective.com/solidus), choose the amount and complete
the process.

We have three different donation tiers in Open Collective, each with their own perks, so make sure
to check them out and choose the one that fits you best.

You can also use Open Collective to make a one-off donation, if you prefer!

### Interrupting a recurring donation

If you want to interrupt a recurring donation, follow
[these instructions](https://docs.opencollective.com/help/backers-and-sponsors/payment#cancel-a-subscription).

## Stakeholders

Stakeholders are members of the Solidus community who have a strong interest in the future of
Solidus. This group includes retailers, agencies and long-term friends of the project.

They coordinate and contribute to Solidus usually in non-technical ways, for instance by choosing
what conferences to attend or organize, by identifying marketing opportunities or by deciding how
to use the funds in Open Collective.

### Joining the stakeholders

To join the stakeholders, you must contribute significantly to Solidus from either a financial or
technical standpoint (or both!).

You must be nominated by an existing stakeholder. If you don't know anyone, send a Slack DM to Sean
Denny (@seand) to request membership, explaining how you have contributed to Solidus and what value
you can bring to the stakeholders.

Your request must be approved by 2/3rds of the existing stakeholders for you to become a member.

### Leaving the stakeholders

To leave the stakeholders, simply announce your decision by Slack, email or call.
